spring.application.name=ReporteJasperSpringBoot-1
spring.jpa.hibernate.ddl-auto=update

# Token Configuration
app.tokens.clients.web=web-token-123
app.tokens.clients.mobile=mobile-token-456

# Database Configuration
 spring.datasource.url=${DB_URL:jdbc:mariadb://209.182.199.228:3306/aab42b5_demotest}
 spring.datasource.username=${DB_USER:aab42b5_jasper}
 spring.datasource.password=${DB_PASSWORD:mvR*IM#AkM(X8gX;}


# Database local
#   spring.datasource.url=${DB_URL:jdbc:mariadb://localhost:3306/emarke26_multitrack}
#   spring.datasource.username=${DB_USER:root}
#   spring.datasource.password=${DB_PASSWORD:root}
#   spring.datasource.driver-class-name=org.mariadb.jdbc.Driver


# Server Configuration
#  server.port=${PORT:8080}

#folder reports path
jasper.reports.path=C:/Users/Equipo/Documents/workspace-spring-tools-for-eclipse-4.30.0.RELEASE/tp_reports/reports/

   server.port=443
   server.ssl.enabled=true
   server.ssl.key-store=classpath:keystore.p12
   server.ssl.key-store-type=PKCS12
   server.ssl.key-store-password=tpjasper
   server.max-http-request-header-size=64KB

# mantener aun cuando se hagan pruebas locales.
 servicio.base-de-datos=emarke26_multitrack
# logging.level.net.sf.jasperreports=DEBUG




